
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
  Launch demo modal
</button>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
       <form [formGroup]="form">
         <div class="row" *ngFor="let pregunta of preguntas">
          <div class ="col-sm-6">  
            <label id="pregunta">{{pregunta.pregunta}}</label>  
          </div>
          <div class ="col-sm-6">  
            <select id="respuesta" formControlName="respuesta" (change)="obtenerValores(dato.value)" #dato>
              <option *ngFor ="let valor of valores" value = "{{valor}}" [value]="valor" >{{valor}}</option>
            </select>
          </div> 
           <p style="margin-left: 2%;"> </p> 
        </div>
       </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-outline-primary" >Guardar cambios</button>
      </div>
    </div>
  </div>
</div>